aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-12 11:35:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-13 08:43:45 +0000
commit6752e96e619765e72d399168f6b94b10b4d44511 (patch)
tree97f3d54a7353ebe06099a5dbcdc3c1c69dc51b65 /x11
parenta5f63c8b0ff01e46410466c1229bd3cc1dc3b876 (diff)
downloadaports-6752e96e619765e72d399168f6b94b10b4d44511.tar.gz
aports-6752e96e619765e72d399168f6b94b10b4d44511.tar.bz2
aports-6752e96e619765e72d399168f6b94b10b4d44511.tar.xz
x11/xdriinfo: new aport
query configuration information of DRI drivers
Diffstat (limited to 'x11')
-rw-r--r--x11/xdriinfo/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/xdriinfo/APKBUILD b/x11/xdriinfo/APKBUILD
new file mode 100644
index 0000000000..ff9e76aa6c
--- /dev/null
+++ b/x11/xdriinfo/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xdriinfo
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="query configuration information of DRI drivers"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+makedepends="pkgconfig libx11-dev glproto mesa-dev"
+depends=
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a5ec51ed9f0a55dc3462d90d52ff899c xdriinfo-1.0.2.tar.bz2"